# DocumentScannerOutputSettings class

Configuration of the output settings.

## Constructors

DocumentScannerOutputSettings({int pagesScanLimit = 0, int documentImageSizeLimit = 0, DocumentAnalysisMode documentAnalysisMode = DocumentAnalysisMode.UNFILTERED_DOCUMENT, ParametricFilter? defaultFilter})
DocumentScannerOutputSettings.fromJson(Map<String, dynamic> json)
  factory

## Properties

defaultFilter ↔ ParametricFilter?
  Determines the image filter to apply by default.
  getter/setter pair
documentAnalysisMode ↔ DocumentAnalysisMode
  Determines if the quality analysis for the acknowledgement mode will run on the filtered or the unfiltered image. Default is UNFILTERED_DOCUMENT
  getter/setter pair
documentImageSizeLimit ↔ int
  The limit of the size of the cropped document images. If one of the dimensions of the cropped image is larger than the limit, the image is downscaled so that its longer dimension matches the limit. The default is 0 (no limit). Default is 0
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
pagesScanLimit ↔ int
  The limit of the number of pages that can be scanned. Default is 0 (no limit). Default is 0
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited